Hostgroup appear on all the locations when they are not assign to this one
Description

I have this issue i got 2 location and i got 2 hostgroup

my hostgroups as follow

1.-Internal Network

2.- Amazon Network

The internal network is assign to the location internal and the amazon network is assign to the location aws but when i choice

Configure-> hostgroups on mycompany@aws on foreman i got also the hostgroup of internal network this one must be no appear

because is assign to the internal location this is happen after upgrade foreman from 1.9.3 to 1.10.1  also testing on 1.10.1 fresh

install same issue.

History

#1 - 02/22/2016 04:23 AM - Ivan Necas

- Project changed from Foreman Remote Execution to Foreman

- Category set to Organizations and Locations

#2 - 02/22/2016 05:49 AM - Dominic Cleal

- Status changed from New to Need more information

I can't reproduce this on nightlies, perhaps you can go through carefully and confirm that all host groups are assigned to only one location.

The output from the API might be useful to demonstrate, combined with SQL debug output when viewing the host groups list (

http://theforeman.org/manuals/1.10/index.html#7.2Debugging).

From the API, a GET to /api/hostgroups/6 (or whatever the IDs are) and also for the locations at /api/locations/6 etc would show the associations.

#3 - 02/27/2016 06:16 PM - Mario Gamboa

- File amazon.log added

uploaded the log with debug mode when try to make the operation and create the host in amazon but is no any security group

#4 - 02/29/2016 03:14 AM - Dominic Cleal

I don't see any request to GET /hostgroups which would be the "Configure > Host groups" UI page.  Also missing the API debug requested.

#5 - 05/17/2017 03:23 PM - Anonymous

- Status changed from Need more information to Rejected

no reaction, closing

Files
amazon.log 351 KB 02/27/2016 Mario Gamboa
